<!DOCTYPE html>
<html lang="en" dir="ltr" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Safety Car</title>
    <link rel="icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}" href="../static/assets/img/favicon.ico"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
            th:src="@{https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js}"></script>

    <script src="https://use.fontawesome.com/releases/v5.13.0/js/all.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" th:href="@{https://fonts.googleapis.com/css?family=Merriweather+Sans:400,700}"/>
    <link rel="stylesheet" type="text/css"
          th:href="@{https://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic}"/>
    <link rel="stylesheet"
          th:href="@{https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css}"/>
    <link rel="stylesheet" th:href="@{https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/my-policies.css}" href="../static/css/my-policies.css"/>
    <link rel="stylesheet" th:href="@{/css/navigation.css}" href="../static/css/navigation.css">

</head>
<body>
<div th:replace="fragments/navigation-bar.html :: header"></div>

<header class="masthead">
    <div class="container h-100">
        <div class="row h-100 align-items-center justify-content-center text-center">
            <div class="col-lg-10 align-self-end">
                <h1 class="text-white font-weight-bold">Admin Edit User Page</h1>
                <hr class="divider my-4"/>
            </div>
            <div class="col-lg-8 align-self-baseline">
                <p class="text-white-75 font-weight-light mb-5"></p>
            </div>
        </div>
    </div>
</header>

<h4 class="ml-4 mt-4 mb-2">Filters</h4>
<form class="form-inline my-0 my-lg-4" th:action="@{/admin/users}" th:object="${userSearchDTO}" method="post">
    <input th:field="*{username}" id="username-input" class="form-control mr-sm-2 col-sm-auto border-secondary mt-0 ml-4"
           type="search"
           placeholder="User email" aria-label="Search">
    <input th:field="*{phone}" id="premium-input" class="form-control mr-sm-2 col-sm-auto border-secondary mt-0"
           type="search"
           placeholder="User phone" aria-label="Search">
<!--    <select th:field="*{styleId}" id="style-dropdown" class="form-control mr-sm-2 border-secondary">-->
<!--        <option selected disabled th:text="#{beers.StyleDropdown}" th:value="0">Style</option>-->
<!--        <option th:each="style : ${styles}" th:value="${style.id}" th:text="${style.name}">...</option>-->
<!--    </select>-->

    <select id="sort-dropdown" class="form-control mr-sm-2 border-secondary">
        <option selected disabled th:value="0">Order By</option>
        <option value="1">Name Asc</option>
        <option value="2">Name Desc</option>
    </select>
    <button class="btn btn-primary my-2 my-sm-0" type="submit">Search</button>
</form>

<div class="page-section pt-3">
    <div th:if="${users.isEmpty()}">
        <p class="ml-4 mr-4 text-muted font-weight-normal ">No users match your search</p>
    </div>
    <div class="row ml-2 mr-3" th:unless="${users.isEmpty()}">
        <div class="card col-sm-3 m-3" th:each="user : ${users}">
            <div class="card-body">
                <h5 class="card-title"
                    th:text="'Username: ' + ${user.username}">User: j.hopkins@gmail.com</h5>
                <p class="card-text m-1" th:if="${user.firstName != null || user.lastName != null}"
                   th:text="'User: ' + ${user.firstName} + ' ' + ${user.lastName}">User: John Hopkins</p>
                <p class="card-text m-1" th:unless="${user.firstName != null || user.lastName != null}"
                   th:text="'User: '">User: John Hopkins</p>
                <p class="card-text m-1" th:if="${user.phone != null}"
                   th:text="'Phone: ' + ${user.phone}">Phone: 0886041634</p>
                <p class="card-text m-1" th:unless="${user.phone != null}"
                   th:text="'Phone: '">Phone: 0886041634</p>
                <p class="card-text m-1" th:if="${user.city != null}"
                   th:text="'Address: ' + ${user.city.getName()} + ', ' + ${user.address}">
                    Address: Baltimore, MD 21218, United States</p>
                <p class="card-text m-1" th:unless="${user.city != null}"
                   th:text="'Address: '">Address: Baltimore, MD 21218, United States</p>
                <p class="card-text m-1" th:if="${user.isEnabled() == true}">Enabled status: Active</p>
                <p class="card-text m-1" th:unless="${user.isEnabled() == true}">Enabled status: Deactivated</p>
                <p class="card-text m-1" th:if="${user.isDeleted() == true}">Delete status: Deleted</p>
                <p class="card-text m-1" th:unless="${user.isDeleted() == true}">Delete status: Active</p>

                <div class="row">
                    <div class="col-sm-auto m-1">
                        <a class="btn btn-primary text-white"
                           th:onclick="'javascript:openDetails('+${user.getId()}+')'">View/Edit details</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function openDetails(inputID) {
        location.href = '/admin/user-details/' + inputID;
    }
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>
<script type="text/javascript" th:src="@{/js/scripts.js}" src="../static/js/scripts.js"></script>
</body>
</html>
